;*******************************************************
;******************* WHEEL of WAR **********************
;*******************************************************
; The first values controls randomization of textures.
; We use a perlin noise algorithm to determine what textures to use.
;
; Frequency is a ratio and it must be larger than 1.0.  Suggested value is 2.0.
; It describes the spacing between octaves.
;
; After Frequency, we describe a list of octaves strengths.  The higher the value, the
; more random the results will be.  Having more entries also makes it more random.
; You maight want to try something like this: 
; Octaves: 1.0, 1.5, 0.75, 1.0
;
Frequency=2.0                  ; should be between 1.5 and 3.0. 2.0 is default. Increasing this has a similar effect as increasing PatchSize.
Octaves: 1.0, 1.5, 0.75, 1.0   ; controls randomization. this is a list of numbers. default is: Octaves:1.0  
RandomizePerlinSettings=1      ; 0 or 1, should we randomize Frequency and Octaves slightly?

RandomizeFlatEntryOrder=1      ; 0 or 1, for extra randomization, should we randomize the order of the entries in [LAYER_FLAT]?
RandomizeSlopeEntryOrder=1     ; 0 or 1, for extra randomization, should we randomize the order of the entries in [LAYER_SLOPE]?

; PatchSize affects how frequently a different textures are used over a given area.
PatchSizeX=0.1	               ; from 0.01 to 10, 1 is default.  controls how big texture patches are on the X axis
PatchSizeY=0.1                 ; from 0.01 to 10, 1 is default.  controls how big texture patches are on the y axis

;
; Next sections describe which textures are available for which altitudes.
;
; First required entry is the texture filename.
; Second is the min altitude of when the texture occurs.  0 is the lowest point on the map, not matter what map.
; Third is the max altitude of when the texture occurs.  1000 is the highest point on the map, not matter what map.
;
; Example:
; Desert_01/desert03_22.bmp 110 1000
;
; EXTRA OPTIONS for texture entries:
;
; Weight=X, where X is between 0.1 and 10.0; 1.0 is default.
; Weight affects how frequently a particular texture occurs on map.
;
; NearPlayer=X, where X is a range in tiles.  
; NearPlayer tells engine to only place texture within X tiles of a player.
;
; FarFromPlayer=X, where X is a range in tiles.  
; FarFromPlayer tells engine to only place texture far from player.  Texture
; will be at least X tiles away from player.
;
; NearExpansion and FarFromExpansion work the same way, except they apply to 
; expansions not players. (Some maps do not have expansions defined.)
;
; Note you are allow to use NearPlayer, FarFromPlayer, NearExpansion, and
; FarFromExpansion all at the same time.
;
; Use 'Intersection', and only the area where the Player area and Expansion
; area overlap will be used.  If you don't say 'Intersection', then 
; union logic will be used.
;
; Steeper, VeryFlat, and MoreFlat can be used to control textures based on 
; the slope of the terrain.  These options are ONLY for the [LAYER_FLAT] section.
;
; Use 'Steeper' to say this texture only goes on the steeper parts of the map.
;
; Use 'VeryFlat' to say this texture only goes on the very flat parts of the map.
;
; Use 'MoreFlat' to say this texture only goes on the "medium to very flat"
; parts of the map.
;
;
; Examples:
; Desert_01/desert03_22.bmp 110 1000 Weight=0.5 FarFromPlayer=38
; Snow_01/Snow05_01.bmp 200 1000 FarFromPlayer=30 Intersection FarFromExpansion=30 
; grass_01/desert.bmp 0 200 MoreFlat
;

[LAYER_FLAT]
snow_01/snow05_04.bmp 0 90
snow_01/snow05_11.bmp 0 150
snow_01/snow05_06.bmp 0 170
snow_01/snow05_09.bmp 5 150
snow_01/snow05_14.bmp 10 130
snow_01/snow05_03.bmp 20 230
snow_01/snow05_16.bmp 60 200
snow_01/snow05_18.bmp 110 350
snow_01/snow05_15.bmp 230 620
snow_01/snow05_08.bmp 370 690
snow_01/snow05_05.bmp 500 900
snow_01/snow05_01.bmp 550 950
snow_01/snow05_13.bmp 545 920
snow_01/snow05_10.bmp 640 850
snow_01/snow05_07.bmp 700 1000
snow_01/snow05_02.bmp 734 910
snow_01/snow05_12.bmp 760 1000
snow_01/snow05_17.bmp 770 1000
snow_01/snow05_04.bmp 0 90
snow_01/snow05_11.bmp 0 150
snow_01/snow05_06.bmp 0 170
snow_01/snow05_09.bmp 5 150
snow_01/snow05_14.bmp 10 130
snow_01/snow05_03.bmp 20 230
snow_01/snow05_16.bmp 60 200
snow_01/snow05_18.bmp 110 350
snow_01/snow05_15.bmp 230 620
snow_01/snow05_08.bmp 370 690
snow_01/snow05_05.bmp 500 900
[LAYER_SLOPE]
slope_02/rock05_22b.bmp 0 800
slope_02/rock05_23b.bmp 200 1000
slope_02/rock05_20b.bmp 100 1000
slope_02/rock05_21b.bmp 50 950
slope_02/rock05_19b.bmp 850 1000
slope_02/rock05_24b.bmp 850 1000
slope_02/rock06_02b.bmp 550 1000